summaryrefslogtreecommitdiff
path: root/distro/redhat/etc/init.d/chef-client
diff options
context:
space:
mode:
Diffstat (limited to 'distro/redhat/etc/init.d/chef-client')
-rw-r--r--distro/redhat/etc/init.d/chef-client121
1 files changed, 121 insertions, 0 deletions
diff --git a/distro/redhat/etc/init.d/chef-client b/distro/redhat/etc/init.d/chef-client
new file mode 100644
index 0000000000..fbeaa395c0
--- /dev/null
+++ b/distro/redhat/etc/init.d/chef-client
@@ -0,0 +1,121 @@
+#!/bin/bash
+#
+# chef-client Startup script for the Chef client
+#
+# chkconfig: - 98 02
+# description: Client component of the Chef systems integration framework.
+
+### BEGIN INIT INFO
+# Provides: chef-client
+# Required-Start: $local_fs $network $remote_fs
+# Required-Stop: $local_fs $network $remote_fs
+# Should-Start: $named $time
+# Should-Stop: $named $time
+# Short-Description: Startup script for the Chef client
+# Description: Client component of the Chef systems integration framework.
+### END INIT INFO
+
+# Source function library
+. /etc/init.d/functions
+
+exec="/usr/bin/chef-client"
+prog="chef-client"
+
+[ -e /etc/sysconfig/$prog ] && . /etc/sysconfig/$prog
+
+config=${CONFIG-/etc/chef/client.rb}
+pidfile=${PIDFILE-/var/run/chef/client.pid}
+lockfile=${LOCKFILE-/var/lock/subsys/$prog}
+logfile=${LOGFILE-/var/log/chef/client.log}
+interval=${INTERVAL-1800}
+splay=${SPLAY-20}
+options=${OPTIONS-}
+
+start() {
+ [ -x $exec ] || exit 5
+ [ -f $config ] || exit 6
+ echo -n $"Starting $prog: "
+ daemon chef-client -d -c "$config" -L "$logfile" -P "$pidfile" -i "$interval" -s "$splay" "$options"
+ retval=$?
+ echo
+ [ $retval -eq 0 ] && touch $lockfile
+ return $retval
+}
+
+stop() {
+ echo -n $"Stopping $prog: "
+ killproc -p $pidfile chef-client
+ retval=$?
+ echo
+ [ $retval -eq 0 ] && rm -f $lockfile
+ return $retval
+}
+
+restart () {
+ stop
+ start
+}
+
+reload() {
+ echo -n $"Reloading $prog: "
+ killproc -p $pidfile chef-client -HUP
+ retval=$?
+ echo
+ return $retval
+}
+
+run() {
+ echo -n $"Triggering run of $prog: "
+ killproc -p $pidfile chef-client -USR1
+ retval=$?
+ echo
+ return $retval
+}
+
+force_reload() {
+ restart
+}
+
+rh_status() {
+ # run checks to determine if the service is running or use generic status
+ status -p $pidfile $prog
+}
+
+rh_status_q() {
+ rh_status >/dev/null 2>&1
+}
+
+case "$1" in
+ start)
+ rh_status_q && exit 0
+ $1
+ ;;
+ stop)
+ rh_status_q || exit 0
+ $1
+ ;;
+ restart)
+ $1
+ ;;
+ reload)
+ rh_status_q || exit 7
+ $1
+ ;;
+ force-reload)
+ force_reload
+ ;;
+ status)
+ rh_status
+ ;;
+ condrestart|try-restart)
+ rh_status_q || exit 0
+ restart
+ ;;
+ run)
+ $1
+ ;;
+ *)
+ echo $"Usage: $0 {start|stop|status|restart|condrestart|try-restart|reload|force-reload|run}"
+ exit 2
+esac
+exit $?